package com.pj.api.dto;

import java.util.List;

/**
 * @Author Mechrevo
 * @Date 2023 09 01 20 06
 **/
public class GenerateOrderDto {

    private CollageOrdersDto collageOrdersDto;

    private List<BordersListDto> bordersListDtoList ;
    private List<BorderBuyGoodsListDto> borderBuyGoodsListDtoList;
    private List<SellGoodsListDto> sellGoodsListDtoList;

    public CollageOrdersDto getCollageOrdersDto() {
        return collageOrdersDto;
    }

    public void setCollageOrdersDto(CollageOrdersDto collageOrdersDto) {
        this.collageOrdersDto = collageOrdersDto;
    }

    public List<BordersListDto> getBordersListDtoList() {
        return bordersListDtoList;
    }

    public void setBordersListDtoList(List<BordersListDto> bordersListDtoList) {
        this.bordersListDtoList = bordersListDtoList;
    }

    public List<BorderBuyGoodsListDto> getBorderBuyGoodsListDtoList() {
        return borderBuyGoodsListDtoList;
    }

    public void setBorderBuyGoodsListDtoList(List<BorderBuyGoodsListDto> borderBuyGoodsListDtoList) {
        this.borderBuyGoodsListDtoList = borderBuyGoodsListDtoList;
    }

    public List<SellGoodsListDto> getSellGoodsListDtoList() {
        return sellGoodsListDtoList;
    }

    public void setSellGoodsListDtoList(List<SellGoodsListDto> sellGoodsListDtoList) {
        this.sellGoodsListDtoList = sellGoodsListDtoList;
    }

    public GenerateOrderDto(CollageOrdersDto collageOrdersDto, List<BordersListDto> bordersListDtoList, List<BorderBuyGoodsListDto> borderBuyGoodsListDtoList, List<SellGoodsListDto> sellGoodsListDtoList) {
        this.collageOrdersDto = collageOrdersDto;
        this.bordersListDtoList = bordersListDtoList;
        this.borderBuyGoodsListDtoList = borderBuyGoodsListDtoList;
        this.sellGoodsListDtoList = sellGoodsListDtoList;
    }

    public GenerateOrderDto() {
    }
}
